#include <iostream>
using namespace std;

#define MIN_KARATA 2
#define MAX_KARATA 20000

typedef unsigned int uint;

void ispisiGresku(){
    cout << "Greska";
    exit(1);
}

int main()
{
    uint brojKarata, karta;
    int t;

    cin >> t;
    if(t < MIN_KARATA || t > MAX_KARATA) ispisiGresku();
    brojKarata = t;
    cin >> t;
    if(t < 1 || t > brojKarata) ispisiGresku();
    karta = t;
    uint Karte[brojKarata];
    uint temp[karta];

    for(uint i = 0; i < brojKarata; i++){
        cin >> t;
        if(t > brojKarata || t < 1) ispisiGresku();
        Karte[i] = t;
        if(i < karta){
            temp[i] = Karte[i];
        }
    }

    for(uint i = 0; i < brojKarata - karta; i++){
        Karte[i] = Karte[i + karta];
    }

    for(uint i = brojKarata - karta; i < brojKarata; i++){
        Karte[i] = temp[i - (brojKarata - karta)];
    }

    cout << Karte[karta - 1];
    return 0;
}